Bug 103016 - System hangs if AC power is restored during shutdown
Summary: System hangs if AC power is restored during shutdown
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nut   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-25 15:08 UTC by Jablonovsky Alexander
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-15 11:45:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jablonovsky Alexander 2003-08-25 15:08:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
Most of UPS'es ignore the "power off" command in the "on line" state.
As a result, if a line power is returned back after the system shutdown started,
the system hangs in state "OS stopped, power on". This is vary
bad effect for unattended servers.



Version-Release number of selected component (if applicable):
nut-1.2.0-6

How reproducible:
Always

Steps to Reproduce:
1. Start up a system with UPS and nut package installed.
2. Unplug the UPS AC cord from the outlet.
3. Wait until the system will start shutdown.
4. Plug the AC cord to the outlet again.
    

Actual Results:  The power is on, the system is halted.

Expected Results:  The system continues to function.

Additional info:

One of ways to fix this is to place 'reboot -f' after the UPS power-off command
in the /etc/rc.d/init.d/halt.

Comment 1 Jablonovsky Alexander 2003-08-25 16:35:41 UTC
This problem is already decribed in /usr/share/doc/nut-1.2.0/docs/shutdown.txt,
but currently does not fixed in RedHat 9 installation


Comment 2 Ngo Than 2003-09-15 11:45:44 UTC
it should be fixed in initscript-7.34-1, which is available in rawhide.



Note You need to log in before you can comment on or make changes to this bug.